Devel::MAT::Tool::Show(3pm)

NAME
"Devel::MAT::Tool::Show" - show information about a given SV

DESCRIPTION
This "Devel::MAT" tool provides a command that prints interesting information from within an SV. Its exact output will depend on the type of SV it is applied to.

COMMANDS

  show
   pmat> show 0x1bbf598
   IO() at 0x1bbf598 with refcount 2
     blessed as IO::File
     ifileno=2
     ofileno=2

Prints information about the given SV.

  elems
   pmat> elems endav
     [0] CODE(PP) at 0x562e93222dc8

Prints elements of an ARRAY SV.

Takes the following named options:

--count, -c MAX
    Show at most this number of elements (default 50).

--start, -s COUNT
    Start at the given index.

  values
   pmat> values defstash
     {"\b"}                GLOB($%*) at 0x562e93114eb8
     {"\017"}              GLOB($*) at 0x562e9315a428
     ...

Prints values of a HASH or STASH SV.

Takes the following named options:

--count, -c MAX
    Show at most this number of values (default 50).

--skip, -s COUNT
    Skip over this number of keys initially before starting to print.

--no-sort, -n
    Don't bother to sort keys before printing. Keys will be printed in no particular order (though the order will at least be stable between successive invocations of the command during the same session).

Takes the following positional arguments:

•   Optional filter pattern. If present, will only count and display keys matching the given regexp. Must be specified in the form "/PATTERN/" with optional trailing flags. The only permitted flags are "adilmsux".

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>